[package]
name = "nexusfetch"
version = "1.2.1"
edition = "2021"
authors = ["Alxhr0"]
license = "GPL-3.0-only"
description = "A simple fetch utility written in Rust"
repository = "https://gitlab.com/alxhr0/nexusfetch"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[features]
with-selinux = ["dep:selinux"]

[dependencies]
clap = { version = "4.4.12", features = ["derive", "cargo"] }
colored = "2.0.4"
dotenvy = "0.15.7"
glob = "0.3.1"
handle-error = "0.1.2"
libmacchina = "7.2.1"
pciid-parser = "0.7.1"
piglog = "1.3.1"
regex = "1.10.2"
rpm-pkg-count = { version = "0.2.1", features = ["runtime"] }
secfmt = "0.1.1"
sysinfo = "0.30.11"
toml = "0.8.8"
which = "6.0.1"
selinux = { version = "0.4.4", optional = true }

[target."cfg(windows)".dependencies]
winver = "1"
